Loading...
Searching...
No Matches
Opm::EnergyModule< TypeTag, true > Class Template Reference

Provides the auxiliary methods required for consideration of the energy equation. More...

`#include <energymodule.hh>`

## Static Public Member Functions

static void | registerParameters ()
| Register all run-time parameters for the energy module.
static std::string | primaryVarName (unsigned pvIdx)
| Returns the name of a primary variable or an empty string if the specified primary variable index does not belong to the energy module.
static std::string | eqName (unsigned eqIdx)
| Returns the name of an equation or an empty string if the specified equation index does not belong to the energy module.
static Scalar | primaryVarWeight (const Model &model, unsigned globalDofIdx, unsigned pvIdx)
| Returns the relative weight of a primary variable for calculating relative errors.
static Scalar | eqWeight (const Model &, unsigned, unsigned eqIdx)
| Returns the relative weight of a equation.
static void | setEnthalpyRate (RateVector &rateVec, const Evaluation &rate)
| Set the rate of energy flux of a rate vector.
static void | addToEnthalpyRate (RateVector &rateVec, const Evaluation &rate)
| Add the rate of the enthalpy flux to a rate vector.
static Evaluation | thermalConductionRate (const ExtensiveQuantities &extQuants)
| Returns the conductive energy flux for a given flux integration point.
template<class RateVector, class FluidState>
static void | setEnthalpyRate (RateVector &rateVec, const FluidState &fluidState, unsigned phaseIdx, const Evaluation &volume)
| Given a fluid state, set the enthalpy rate which emerges from a volumetric rate.
template<class FluidState>
static void | setPriVarTemperatures (PrimaryVariables &priVars, const FluidState &fs)
| Given a fluid state, set the temperature in the primary variables.
template<class LhsEval>
static void | addPhaseStorage (Dune::FieldVector< LhsEval, numEq > &storage, const IntensiveQuantities &intQuants, unsigned phaseIdx)
| Add the energy storage term for a fluid phase to an equation vector.
template<class Scv, class LhsEval>
static void | addFracturePhaseStorage (Dune::FieldVector< LhsEval, numEq > &storage, const IntensiveQuantities &intQuants, const Scv &scv, unsigned phaseIdx)
| Add the energy storage term for a fluid phase to an equation vector.
template<class LhsEval>
static void | addSolidEnergyStorage (Dune::FieldVector< LhsEval, numEq > &storage, const IntensiveQuantities &intQuants)
| Add the energy storage term for a fluid phase to an equation vector.
template<class Context>
static void | addAdvectiveFlux (RateVector &flux, const Context &context, unsigned spaceIdx, unsigned timeIdx)
| Evaluates the advective energy fluxes for a flux integration point and adds the result in the flux vector.
template<class Context>
static void | handleFractureFlux (RateVector &flux, const Context &context, unsigned spaceIdx, unsigned timeIdx)
| Evaluates the advective energy fluxes over a fracture which should be attributed to a face of a subcontrol volume and adds the result in the flux vector.
template<class Context>
static void | addDiffusiveFlux (RateVector &flux, const Context &context, unsigned spaceIdx, unsigned timeIdx)
| Adds the diffusive energy flux to the flux vector over the face of a sub-control volume.

## Detailed Description

template<class TypeTag>
class Opm::EnergyModule< TypeTag, true >

Provides the auxiliary methods required for consideration of the energy equation.

## Member Function Documentation

## addAdvectiveFlux()

template<class TypeTag>
template<class Context>

void Opm::EnergyModule< TypeTag, true >::addAdvectiveFlux | ( | RateVector & | flux,
|  | const Context & | context,
|  | unsigned | spaceIdx,
|  | unsigned | timeIdx )

inline static

Evaluates the advective energy fluxes for a flux integration point and adds the result in the flux vector.

This method is called by compute flux (base class)

## addDiffusiveFlux()

template<class TypeTag>
template<class Context>

void Opm::EnergyModule< TypeTag, true >::addDiffusiveFlux | ( | RateVector & | flux,
|  | const Context & | context,
|  | unsigned | spaceIdx,
|  | unsigned | timeIdx )

inline static

Adds the diffusive energy flux to the flux vector over the face of a sub-control volume.

This method is called by compute flux (base class)

The documentation for this class was generated from the following file:

- opm/models/common/energymodule.hh